package edu.bu.signstream.grepresentation.fields.glossField;

import java.util.*;
import edu.bu.signstream.grepresentation.fields.nonManualField.*;

public class GlossTextManager {
	// sorted by start time ChainedEventsEntity and Text objects
	private ArrayList<Object> obj = new ArrayList<Object>();

	public String getStringText(ArrayList<ChainedEventsEntity> events,
			ArrayList<Text> text) {
		return "added text";
	}

	private String removeUnwantedCharacters(String str) {
		str.trim();
		StringBuffer buffer = new StringBuffer();

		boolean skip = false;

		for (int i = 0; i < str.length(); i++) {
			char c = str.charAt(i);
			if (c != ' ') {
				buffer.append(c);
				skip = false;
			} else if (c == ' ' && !skip) {
				buffer.append(c);
				skip = true;
			}
		}

		return buffer.toString();
	}

	public void synchronize(String previousSentance, String newSentence) {

		StringTokenizer previousSentanceWords = new StringTokenizer(
				previousSentance);
		StringTokenizer newSentenceWords = new StringTokenizer(newSentence);

		int numberOfWordsInSentence = previousSentanceWords.countTokens();
		int numberOfWordsInNewSentence = newSentenceWords.countTokens();

		// first word in a sentence,
		if (numberOfWordsInSentence == 0) {
			while (previousSentanceWords.hasMoreTokens()) {
				Text text = new Text(previousSentanceWords.nextToken(), -1, -1);
				obj.add(text);
			}
			return;
		} else if (numberOfWordsInSentence == numberOfWordsInNewSentence) {
			// one word had been updated
			if (obj.size() == numberOfWordsInSentence) {
				int wordsCounter = 0;
				while (previousSentanceWords.hasMoreTokens()) {
					String word0 = previousSentanceWords.nextToken();
					String word1 = newSentenceWords.nextToken();

					if (word0.equals(word1)) {
						wordsCounter++;
					} else {
						Object toUpdate = obj.get(wordsCounter);

						if (toUpdate instanceof Text) {
							Text txtObj = (Text) toUpdate;
							txtObj.setText(word1);
						} else if (toUpdate instanceof ChainedEventsEntity) {
							ChainedEventsEntity entity = (ChainedEventsEntity) toUpdate;
							ChainedEvent glossEvent = entity.getTextValue();
							glossEvent.setText(word1);
						}
					}
				}
			}
			return;
		} else if(numberOfWordsInSentence < numberOfWordsInNewSentence) {
			// one 
			return;
		} else {
			return;
		}
	}

	public ArrayList<Object> getUpdatedObjects() {
		return obj;
	}

	public ArrayList<Text> getTextObjects() {
		return new ArrayList<Text>();
	}
}
