package edu.bu.signstream.grepresentation.fields.glossField.dialog.associatedFields;

import java.awt.Color;
import java.awt.Dimension;
import javax.swing.JLabel;
import javax.swing.JPanel;

import edu.bu.signstream.common.util.vo.ss3.codingScheme.SS3FieldValue;

public class PalettePanel extends JPanel {

	private static final long serialVersionUID = 1L;

	public FieldValueWrapper createFieldValueWrapper(String id, String iid, String label, String letter,
			boolean isExpanded, boolean isFolder, Color color) {

		SS3FieldValue v = new SS3FieldValue(); 
		v.setId(id);
		v.setIid(iid);
		v.setLabel(label);
		v.setLetter(letter);

		FieldValueWrapper w = new FieldValueWrapper(v, isExpanded, isFolder);
		w.setBackgroundColor(color);
		return w;
	}
	
	public FieldValueWrapper createFieldValueWrapper(String id, String iid, String label,
			boolean isExpanded, boolean isFolder, Color color) {

		SS3FieldValue v = new SS3FieldValue(); 
		v.setId(id);
		v.setIid(iid);
		v.setLabel(label);
		v.setLetter(label);

		FieldValueWrapper w = new FieldValueWrapper(v, isExpanded, isFolder);
		w.setBackgroundColor(color);
		return w;
	}
	
	public JLabel createPlainLabel(int height) {
		JLabel label = new JLabel(" ");
		label.setPreferredSize(new Dimension(100, height));
		label.setMinimumSize(new Dimension(100, height));
		label.setMaximumSize(new Dimension(100, height));
		return label;
	}

}
