package edu.bu.signstream.grepresentation.fields.handShapes.joints;

import java.awt.Rectangle;

import edu.bu.signstream.common.util.vo.TrackValue;
import edu.bu.signstream.common.util.vo.ss3.db.SS3Item;
import edu.bu.signstream.grepresentation.fields.nonManualField.ChainedEvent;
import edu.bu.signstream.grepresentation.view.main.SignStreamSegmentPanel;

public class JointsEvent extends ChainedEvent {

   private Rectangle rect;

   public JointsEvent(TrackValue value, SignStreamSegmentPanel segmentPanel) {
      super(value, segmentPanel);
   }

   public JointsEvent(SS3Item item, SignStreamSegmentPanel segmentPanel) {
      super(item, segmentPanel);
   }

   public JointsEvent(SignStreamSegmentPanel segmentPanel) {
      super(segmentPanel);
   }
   
   @Override
public boolean contains(int x) {
      if (rect == null)
         return false;
      return rect.contains(x, 10);
   }

   public void setRectangle(Rectangle rect) {
      this.rect = rect;
   }

}
