package edu.bu.signstream.grepresentation.listener;

import java.awt.event.*;
import java.util.ArrayList;

import edu.bu.signstream.grepresentation.reguestsHandler.SS3Singleton;
import edu.bu.signstream.ui.video.MultipleMovieController;
import edu.bu.signstream.ui.video.VideoControlPanel;

public class SSKeyListener implements KeyListener {

	public SSKeyListener() {
	}

	@Override
	public void keyPressed(KeyEvent e) {		
		
		int keyCode = e.getKeyCode();		
  		MultipleMovieController controller = SS3Singleton.getVideoControlManager().getMultipleMovieController();
		
		if(keyCode == 39) {
			controller.skipNumberOfFrames(1);
		} else if(keyCode == 37) {			
			controller.skipNumberOfFrames(-1);
		} else if(keyCode == 32) {
						
			if(controller.isPlaying()) {
				controller.stopPlayingMovie();
			} else {
				ArrayList<VideoControlPanel> videoPanels = SS3Singleton.getVideoControlManager().getVideoControlPanels();
				if(!videoPanels.isEmpty()) {
					VideoControlPanel videoControlPanel = videoPanels.get(0);
					videoControlPanel.playMovie();
				}
			}
		}		
		
	}

	@Override
	public void keyReleased(KeyEvent e) {
	}

	@Override
	public void keyTyped(KeyEvent e) {
	}
}
