package edu.bu.signstream.grepresentation.view.mediaControl;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import edu.bu.signstream.grepresentation.fields.EventsEntity;
import edu.bu.signstream.grepresentation.view.main.SignStreamSegmentPanel;

public class GoFirstFrameEntityListener extends BaseListener implements
		ActionListener {

	public GoFirstFrameEntityListener(MediaToolBar bar) {
		super(bar);
	}

	@Override
	public void actionPerformed(ActionEvent e) {
		SignStreamSegmentPanel panel = getSignStreamSegmentPanel();
		EventsEntity entity = bar.getSelectedEventsEntity();
		if (panel != null && entity != null) {
			int time = entity.getStartTimeInfo().getMovieTime();
			movePanelToTime(panel, entity, time, null);
		}
	}
}
