package edu.bu.signstream.grepresentation.view.mediaControl;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import edu.bu.signstream.grepresentation.fields.Event;
import edu.bu.signstream.grepresentation.view.main.SignStreamSegmentPanel;

public class GoLastFrameEventListener extends BaseListener implements ActionListener {
	
	public GoLastFrameEventListener(MediaToolBar bar) {
		super(bar);
	}

	@Override
	public void actionPerformed(ActionEvent e) {

		SignStreamSegmentPanel panel = getSignStreamSegmentPanel();
		Event event = bar.getSelectedEvent();

		if (panel == null || event == null) {
			return;
		}

		int time = event.getEndTimeInfo().getMovieTime();
		movePanelToTime(panel, event, time, null);
		panel.setVisible(event);
	}
}
