package edu.bu.signstream.grepresentation.view.mediaControl;

import edu.bu.signstream.grepresentation.fields.Event;
import edu.bu.signstream.grepresentation.view.main.SignStreamSegmentPanel;

public class StartFrameForwardListener extends StartFrameListener {

	public StartFrameForwardListener(MediaToolBar bar) {
		super(bar);
	}
	
	int getNewTime(SignStreamSegmentPanel panel, Event event) {
		int duration = (int) panel.getMultipleMovieController()
				.getPacketDuration();
		int time = event.getStartTimeInfo().getMovieTime();
		return time + duration;
	}
}
