package edu.bu.signstream.ui.panels.signbank;

import java.awt.BorderLayout;
import java.awt.Container;
import java.awt.Frame;

import javax.swing.JDialog;

import edu.bu.signstream.grepresentation.fields.glossField.GlossChainedEventsEntity;
import edu.bu.signstream.grepresentation.view.signbank.SignBankCollection;

public class SignBankAddVariantDialog extends JDialog {
	
	private static final long serialVersionUID = 1L;
	
	private SignBankPanel parent = null;
	
	private SignBankAddVariantPanel addVariantPanel = null;

	public SignBankAddVariantDialog(SignBankPanel parent, SignBankCollection collection) {
		super((Frame) parent.getParent(), true);
		this.parent = parent;
		
		addVariantPanel = new SignBankAddVariantPanel(parent, collection);

		// change sizes, layouts, etc
		setResizable(true);

		Container contentPane = getContentPane();
		contentPane.setLayout(new BorderLayout());
		contentPane.add(addVariantPanel, BorderLayout.CENTER);
		
		this.pack();
	}
	
	public SignBankAddVariantPanel getAddVariantPanel() {
		return addVariantPanel;
	}
	
	public void update(String label, GlossChainedEventsEntity glsEntity, boolean twoHanded,
			String domStartHS, String nondomStartHS, String domEndHS, String nondomEndHS) {
		addVariantPanel.update(label, glsEntity, twoHanded, domStartHS, nondomStartHS, domEndHS, nondomEndHS);
	}

	public void setSignBankCollection(SignBankCollection collection) {
		addVariantPanel.setSignBankCollection(collection);
	}

}
