package edu.bu.signstream.ui.video;

import edu.bu.signstream.common.util.vo.ss3.media.SS3MediaFile;
import edu.bu.signstream.grepresentation.reguestsHandler.SS3Singleton;

public class VideoPlayer {

	@SuppressWarnings("deprecation")
	public static void main(String[] args) {

		// Let's make sure that we can actually convert video pixel formats.
//		if (!IVideoResampler
//				.isSupported(IVideoResampler.Feature.FEATURE_COLORSPACECONVERSION))
//			throw new RuntimeException(
//					"you must install the GPL version"
//							+ " of Xuggler (with IVideoResampler support) for this application to work");

		String fileName = "C://Movies/2012-01-27_0050-cam1.mp4"; //"/SignStream/scene3-camera1.mov";
		
		//File file = new File(filename); 
		
		//String filename2 = "/SignStream/scene3-camera11.mov";
		
		MultipleMovieController contr = SS3Singleton.getVideoControlManager().getMultipleMovieController();
		
		//SignStreamSegmentPanel panel = SS3Singleton.getMediaToolBar(null).getSignStreamSegmentPanel();
		
		//SignStreamSegmentPanel panel = new SignStreamSegmentPanel(null, null, null, this);
		
		SS3MediaFile file = new SS3MediaFile();
		file.setFile(fileName);

			try {
				XugglerMovie movie = new XugglerMovie(file, contr);
				contr.registerMovie(movie);
			} catch (Exception ex) {
				String msg = "<HTML>Warning: " + ex.getMessage() + "<BR>";
				msg = msg + "Please select valid video file.</HTML>";
				
				System.out.println(msg);
				
				ex.printStackTrace();
			}
		//}

		contr.load();

		MultipleMovieController controller = new MultipleMovieController();

		// XugglerMovie movie = new XugglerMovie(filename, controller);
		//XugglerMovie movie2 = new XugglerMovie(filename2, controller);

		//controller.load();
	}

	/**
	 * Forces the swing thread to terminate; I'm sure there is a right way to do
	 * this in swing, but this works too.
	 */
	private static void closeJavaWindow() {
		System.exit(0);
	}
}


