package edu.bu.signstream.codingScheme.ui.importLegacyCodingScheme;

import java.awt.BorderLayout;
import java.awt.Container;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;
import java.util.HashMap;

import javax.swing.JDialog;
import javax.swing.JFrame;

import edu.bu.signstream.grepresentation.view.main.SignStreamSegmentPanel;

public class CodingSchemeUpdateDialog extends JDialog {

   public CodingSchemeUpdateDialog(
      String fileName,
      HashMap lCodingSchema,
      SignStreamSegmentPanel ssPanel,
      JFrame parentFrame ) {
         
      super(parentFrame, "Loading Legacy File <" + fileName + ">", true);     
      init(lCodingSchema, ssPanel);
   }

   public CodingSchemeUpdateDialog(
      String fileName,
      HashMap lCodingSchema,
      SignStreamSegmentPanel ssPanel,
      JDialog parentDialog) {

      super(parentDialog, "Loading Legacy File <" + fileName + ">", true);
      init(lCodingSchema, ssPanel);
   }

   private void init(HashMap lCodingSchema, SignStreamSegmentPanel ssPanel) {

      CodingSchemeUpdatePanel csPanel =
         new CodingSchemeUpdatePanel(lCodingSchema, ssPanel, this);
      
      super.setLocation(320, 230);
      
      //super.setModal(true);

      addWindowListener(new WindowAdapter() {
         @Override
		public void windowClosing(WindowEvent e) {
            dispose();
         }
      });

      Container contentPane = getContentPane();
      contentPane.setLayout(new BorderLayout(50, 50));
      contentPane.add(csPanel, BorderLayout.CENTER);

      this.pack();
   }
}
