package edu.bu.signstream.common.util.vo;

import java.awt.Color;
import java.util.ArrayList;

public class Field {
  private String valueID, name, label, prefix, group, type;
  private boolean visible = true;
  private Color color = Color.BLACK;
  private ArrayList values = new ArrayList();
  private String onsetID, offsetID;
  
  @Override
public String toString() {
    StringBuffer sb = new StringBuffer();
    sb.append("Field:");
    sb.append("\n valueID = ");
    sb.append(valueID);
    sb.append("\n name = ");
    sb.append(name);
    sb.append("\n label = ");
    sb.append(label);
    sb.append("\n prefix = ");
    sb.append(prefix);
	sb.append("\n group = ");
	sb.append(group);
	sb.append("\n type = ");
	sb.append(type);
    sb.append("\n visible = ");
    sb.append(visible);
	sb.append("\n onsetID = ");
	sb.append(onsetID);
	sb.append("\n offsetID = ");
	sb.append(offsetID);
	sb.append("\n color = ");
	sb.append(color);
	sb.append("\n values = ");
	sb.append(values);     
    
    return sb.toString();
  }
  
  public Color getColor() {
	return color;
  }

  public String getGroup() {
	return group;
  }

  public String getLabel() {
	return label;
  }

  public String getName() {
	return name;
  }

  public String getOffsetID() {
	return offsetID;
  }

  public String getOnsetID() {
	return onsetID;
  }

  public String getPrefix() {
	return prefix;
  }

  public String getType() {
	return type;
  }

  public String getValueID() {
	return valueID;
  }

  public ArrayList getValues() {
	return values;
  }

  public boolean isVisible() {
	return visible;
  }

  public void setColor(Color color) {
	this.color = color;
  }

  public void setGroup(String string) {
	group = string;
  }

  public void setLabel(String string) {
	label = string;
  }

  public void setName(String string) {
	name = string;
  }

  public void setOffsetID(String string) {
	offsetID = string;
  }

  public void setOnsetID(String string) {
	onsetID = string;
  }

  public void setPrefix(String string) {
	prefix = string;
  }

  public void setType(String string) {
	type = string;
  }

  public void setValueID(String string) {
	valueID = string;
  }

  public void setValues(ArrayList list) {
	values = list;
  }

  public void setVisible(boolean b) {
	visible = b;
  }
}
