package edu.bu.signstream.common.util.vo.ss3.codingScheme;

import java.util.ArrayList;

public class Languages {

   private ArrayList languages = new ArrayList();

   public CSLanguage getDefLanguage() {
       return (CSLanguage)languages.get(0);
   }
   
   public void addLanguage(CSLanguage language) {
      languages.add(language);
   }

   public CSLanguage getLanguageWithID(String id) {
      for (int i = 0; i < languages.size(); i++) {
         CSLanguage language = (CSLanguage) languages.get(i);
         if (language.getId() == id)
            return language;
      }
      return null;
   }

   public CSLanguage getLanguageWithName(String name) {
      for (int i = 0; i < languages.size(); i++) {
         CSLanguage language = (CSLanguage) languages.get(i);
         if (language.getName() == name)
            return language;
      }
      return null;
   }

   public CSLanguage getLanguageWithLabel(String label) {
      for (int i = 0; i < languages.size(); i++) {
         CSLanguage language = (CSLanguage) languages.get(i);
         if (language.getLabel() == label)
            return language;
      }
      return null;
   }
   
   public ArrayList getLanguages() {
      return languages;
   }
}
