package edu.bu.signstream.grepresentation.fields.glossField;

import edu.bu.signstream.common.util.vo.TimeInfo;

public interface Compoundable {

   public String getID();
   public void setID(String id);

   public boolean isEndCompound();
   public boolean isStartCompound();
   
   public Compoundable getEndCompound();
   public Compoundable getStartCompound();

   public void setEndCompound(Compoundable endCompound);
   public void setStartCompound(Compoundable startCompound);
   
   public int getStartTimeCoordinate();
   public int getEndTimeCoordinate();
	
   public TimeInfo getStartTimeInfo();
   public TimeInfo getEndTimeInfo();
   
   public String getText(boolean start);
}
