package edu
	.bu
	.signstream
	.grepresentation
	.fields
	.glossField
	.dialog
	.associatedFields;

import java.util.ArrayList;

import edu.bu.signstream.grepresentation.fields.handShapeField.dialogs.HandShapeImage;

public class HandShapeBean {

	private char type;

    private boolean isRightHandSelected = true;

    private boolean updated = false;

	private ArrayList<HandShapeImage> selectedRightHandShapeImages = new ArrayList<HandShapeImage>();
	private ArrayList<HandShapeImage> selectedLeftHandShapeImages = new ArrayList<HandShapeImage>();

    public void setUpdated(boolean updated) {
        this.updated = updated;
    }

    public boolean isUpdated() {
        return updated;
    }

    public void clearLeftHandShapeImages() {
        selectedLeftHandShapeImages.clear();
    }

    public void clearRightHandShapeImages() {
        selectedRightHandShapeImages.clear();
    }

    public void setRightHandSelected(boolean isRightHandSelected) {
        this.isRightHandSelected = isRightHandSelected;
    }

	/**
	 * @return
	 */
	public ArrayList<HandShapeImage> getSelectedLeftHandShapeImages() {
		return selectedLeftHandShapeImages;
	}

	/**
	 * @return
	 */
	public ArrayList<HandShapeImage> getSelectedRightHandShapeImages() {
		return selectedRightHandShapeImages;
	}

	/**
	 * @return
	 */
	public char getType() {
		return type;
	}

	/**
	 * @param list
	 */
	public void setSelectedLeftHandShapeImages(ArrayList<HandShapeImage> list) {
		clearLeftHandShapeImages();
		selectedLeftHandShapeImages.addAll(list);
	}

	/**
	 * @param list
	 */
	public void setSelectedRightHandShapeImages(ArrayList<HandShapeImage> list) {
		clearRightHandShapeImages();
		selectedRightHandShapeImages.addAll(list);
	}

	/**
	 * @param c
	 */
	public void setType(char c) {
		type = c;
	}
}
