package edu.bu.signstream.grepresentation.view;

import java.util.ArrayList;

import edu.bu.signstream.common.util.vo.ss3.db.SS3GlossWindowItem;

public class RootLabelObject {

   private SS3GlossWindowItem glossWindowItem;

   private LabelObject nonManuelLabelObject = new LabelObject();
   private LabelObject glossNRelatedLabelObject = new LabelObject();
   private LabelObject presentationLabelObject = new LabelObject();
   
   public RootLabelObject() {}

   public LabelObject getNonManuelLabelObject() {
      return nonManuelLabelObject;
   }

   public void setNonManuelLabelObject(LabelObject object) {
      nonManuelLabelObject = object;
   }

   public ArrayList<LabelObject> getAllLabelObjects() {
      if (presentationLabelObject != null
         && presentationLabelObject.getAllChildren().size() > 0) {
         return presentationLabelObject.getAllChildren();
      } else {
         try {
            
            ArrayList<LabelObject> list = nonManuelLabelObject.getAllChildren();
            list.addAll(glossNRelatedLabelObject.getAllChildren());

            return list;
         } catch (NullPointerException ex) {
            return new ArrayList<LabelObject>();
         }
      }
   }

   public LabelObject getGlossNRelatedLabelObject() {
      return glossNRelatedLabelObject;
   }

   public LabelObject getPresentationLabelObject() {
      return presentationLabelObject;
   }

   public void setGlossNRelatedLabelObject(LabelObject object) {
      glossNRelatedLabelObject = object;
   }

   public void setPresentationLabelObject(LabelObject object) {
      presentationLabelObject = object;
   }
}
