package edu.bu.signstream.grepresentation.view.mediaControl;

import edu.bu.signstream.grepresentation.fields.Event;
import edu.bu.signstream.grepresentation.view.main.SignStreamSegmentPanel;

public class EndFrameForwardListener extends EndFrameListener {

	public EndFrameForwardListener(MediaToolBar bar) {
		super(bar);
	}

	int getNewTime(SignStreamSegmentPanel panel, Event event) {
		int duration = (int) panel.getMultipleMovieController()
				.getPacketDuration();
		int time = event.getEndTimeInfo().getMovieTime();
		return time + duration;
	}
}