package edu.bu.signstream.grepresentation.view.mediaControl;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import edu.bu.signstream.grepresentation.fields.EventsEntity;
import edu.bu.signstream.grepresentation.view.main.SignStreamSegmentPanel;

public class GoLastFrameEntityListener extends BaseListener implements ActionListener {

	public GoLastFrameEntityListener(MediaToolBar bar) {
		super(bar);
	}

	@Override
	public void actionPerformed(ActionEvent e) {
		SignStreamSegmentPanel panel = getSignStreamSegmentPanel();
		if (panel == null) {
			return;
		}

		EventsEntity entity = bar.getSelectedEventsEntity();
		if (entity != null) {
			int time = entity.getEndTimeInfo().getMovieTime();
			movePanelToTime(panel, entity, time, null);
		}
	}
}
